Bug 157610 - [PATCH] Fix port: irc/ircd-hybrid should use USERS
Summary: [PATCH] Fix port: irc/ircd-hybrid should use USERS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-04 13:30 UTC by Chris Rees
Modified: 2011-07-04 20:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rees 2011-06-04 13:30:08 UTC
	

	This port uses pkg-install to create new users instead of using USERS= and GROUPS=

Fix: - Use USERS and GROUPS

	Submitted by: Chris Rees (utisoft@gmail.com)

	Please bear in mind that I've removed pkg-install




-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.--xkwMbwRYV5j5FrlRocwpu9GQwYvXGgLe5CfS84E0IJhocSyO
Content-Type: text/plain; name="irc-ircd-hybrid.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="irc-ircd-hybrid.patch"

Index: Makefile
===================================================================
RCS file: /exports/cvsroot-freebsd/ports/irc/ircd-hybrid/Makefile,v
retrieving revision 1.44
diff -u -r1.44 Makefile
--- Makefile	2 Sep 2009 15:01:42 -0000	1.44
+++ Makefile	4 Jun 2011 11:21:01 -0000
@@ -19,6 +19,9 @@
 USE_GMAKE=	yes
 GNU_CONFIGURE=	yes
 
+USERS=		ircd
+GROUPS=		${USERS}
+
 USE_RC_SUBR=	ircd-hybrid.sh
 SUB_FILES=	pkg-message
 PLIST_SUB+=	PORTVERSION=${PORTVERSION}
@@ -78,14 +81,13 @@
 	--ohelpdir=${PREFIX}/share/${PORTNAME}-${PORTVERSION}/help/opers \
 	--messagedir=${PREFIX}/share/${PORTNAME}-${PORTVERSION}/messages \
 
-pre-install:
-	${SETENV} "PKG_PREFIX=${PREFIX}" ${SH} ${PKGINSTALL} ${PKGNAME} PRE-INSTALL
+pre-su-install:
 	${MKDIR} ${PREFIX}/etc/ircd-hybrid ${PREFIX}/share/${PORTNAME}-${PORTVERSION}
 	${MKDIR} ${PREFIX}/share/${PORTNAME}-${PORTVERSION}/help/
-	${MKDIR} /var/run/ircd
-	${CHOWN} ircd:ircd /var/run/ircd
 
 post-install:
+	${MKDIR} /var/run/ircd
+	${CHOWN} ircd:ircd /var/run/ircd
 	${INSTALL_SCRIPT} ${WRKSRC}/etc/example.conf.quick ${PREFIX}/etc/ircd-hybrid
 	${INSTALL_SCRIPT} ${WRKSRC}/etc/example.efnet.conf ${PREFIX}/etc/ircd-hybrid
 	${INSTALL_SCRIPT} ${WRKSRC}/etc/simple.conf ${PREFIX}/etc/ircd-hybrid
Index: pkg-install
===================================================================
RCS file: pkg-install
diff -N pkg-install
--- pkg-install	20 Oct 2001 15:10:47 -0000	1.6
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,91 +0,0 @@
-#!/bin/sh
-
-# This script is a slightly modified copy of the pkg-install script from the 
-# original ircd-hybrid port, by desmo@bandwidth.org.
-
-if [ "x$2" != "xPRE-INSTALL" ]; then
-	exit 0;
-fi
-
-ask() {
-	local question default answer
-
-	question=$1
-	default=$2
-	if [ -z "${PACKAGE_BUILDING}" ]; then
-		read -p "${question} [${default}]? " answer
-	fi
-	if [ x${answer} = x ]; then
-		answer=${default}
-	fi
-	echo ${answer}
-}
-
-yesno() {
-	local dflt question answer
-
-	question=$1
-	dflt=$2
-	while :; do
-		answer=$(ask "${question}" "${dflt}")
-		case "${answer}" in
-		[Yy]*)          return 0;;
-		[Nn]*)          return 1;;
-		esac
-		echo "Please answer yes or no."
-	done
-}
-
-if which -s pw ; then
-	:
-else
-	cat <<EOF
-Your system does not include the "pw" utility.  You should upgrade
-to a newer version of FreeBSD.  Without "pw" this script will not
-run.
-EOF
-	exit 1
-fi
-
-echo ""
-if pw groupshow ircd 2> /dev/null ; then
-	echo "You already have a group \"ircd\", so I will use it."
-else
-	if pw groupshow 72 2> /dev/null ; then
-		echo "You already have a gid \"72\".  Please create a user \"ircd\""
-		echo "with a default group of \"ircd\"."
-		exit 1
-	fi
-	echo "You need a group \"ircd\"."
-	if which -s pw && yesno "Would you like me to create it" y; then
-		pw groupadd ircd -g 72 || exit
-		echo "Done."
-	else
-		echo "Please create it, and try again."
-		if ! pw usershow ircd 2> /dev/null ; then
-			echo "While you're at it, please create a user \"ircd\""
-			echo 'too, with a default group of "ircd".'
-		fi
-		exit 1
-	fi
-fi
-
-if pw usershow ircd 2> /dev/null ; then
-	echo "You already have a user \"ircd\", so I will use it."
-else
-        if pw usershow 72 2> /dev/null ; then
-                echo "You already have a uid \"72\".  Please create a user \"irc
-d\""
-                echo "with a default group of \"ircd\"."
-                exit 1
-        fi
-	echo "You need a user \"ircd\"."
-	if which -s pw && yesno "Would you like me to create it" y; then
-		pw useradd ircd -g ircd -u 72 -h - -d /nonexistent \
-			-s /nonexistent -c "IRC Daemon" || exit
-		echo "Done."
-	else
-		echo "Please create it, and try again."
-		exit 1
-	fi
-fi
Comment 1 Edwin Groothuis freebsd_committer 2011-06-04 13:30:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

pgollucci@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-06-04 13:30:33 UTC
Maintainer of irc/ircd-hybrid,

Please note that PR ports/157610 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/157610

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2011-06-04 13:30:37 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Diane Bruce 2011-06-04 19:14:48 UTC
On Sat, Jun 04, 2011 at 12:30:33PM +0000, Edwin Groothuis wrote:
> Maintainer of irc/ircd-hybrid,
> 
> Please note that PR ports/157610 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.

APPROVED

> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/157610
> 
> -- 
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org

-- 
- db@FreeBSD.org db@db.net http://www.db.net/~db
  Why leave money to our children if we don't leave them the Earth?
Comment 5 Chris Rees freebsd_committer 2011-06-22 17:54:32 UTC
Responsible Changed
From-To: pgollucci->crees

Invalid autoassignment
Comment 6 Chris Rees freebsd_committer 2011-06-22 18:02:41 UTC
Responsible Changed
From-To: crees->freebsd-ports-bugs

To pool to correct assign message
Comment 7 Chris Rees freebsd_committer 2011-06-22 18:25:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

Invalid autoassignment to pgollucci
Comment 8 Chris Rees freebsd_committer 2011-06-26 17:35:03 UTC
State Changed
From-To: feedback->open

Maintainer has approved.
Comment 9 Chris Rees freebsd_committer 2011-07-04 20:42:33 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 10 dfilter service freebsd_committer 2011-07-04 20:42:40 UTC
crees       2011-07-04 19:42:27 UTC

  FreeBSD ports repository

  Modified files:
    irc/ircd-hybrid      Makefile 
  Removed files:
    irc/ircd-hybrid      pkg-install 
  Log:
  - Use USERS and GROUPS
  
  PR:             ports/157610
  Approved by:    rene (mentor), db (maintainer)
  
  Revision  Changes    Path
  1.46      +6 -4      ports/irc/ircd-hybrid/Makefile
  1.7       +0 -91     ports/irc/ircd-hybrid/pkg-install (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"